# Awesome Mastodon [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> Curated list of Mastodon-related stuff!

## Table of content

* [Documentation](#documentation)
* [Clients](#clients)
* [User styles](#user-styles)
* [User scripts](#user-scripts)
* [Bots](#bots)
* [Librairies](#librairies)
* [Bot frameworks](#bot-frameworks)

## Documentation

* [What I wish I knew before joining Mastodon](https://hackernoon.com/what-i-wish-i-knew-before-joining-mastodon-7a17e7f12a2b) - An introduction to Mastodon.
* [Wiki](https://en.mstdn.wiki/Main_Page) - The Mastodon Community Wiki.

## Clients

* [Tusky](https://play.google.com/store/apps/details?id=com.keylesspalace.tusky) - An Android client.
* [TootyFruity](https://play.google.com/store/apps/details?id=ch.kevinegli.tootyfruity221258) - An Android app for Mastodon.
* [Twidere](https://f-droid.org/repository/browse/?fdid=org.mariotaku.twidere) - An Android app for Twitter, GNU Social and Mastodon.

## User styles

* [Variable width](https://userstyles.org/styles/139721/mastodon-variable-width) - Makes Mastodon scale with the browser's width.
* [Narrow drawer](https://userstyles.org/styles/141457/mastodon-dynamic-wide-columns-narrow-drawer) - With the variable width style, makes the drawer narrower and the other columns scale accordingly.

## User scripts

* [NSFW Remover](https://greasyfork.org/fr/scripts/29228-mastodon-nsfw-remover) - Automatically display NSFW images.
* [Customizable interface](https://openuserjs.org/scripts/bl00m/Mastodon_Customizable_Interface) - Move and resize columns on a grid.

## Bots

* [feed2toot](https://gitlab.com/chaica/feed2toot) - Automatically parses rss feeds, identifies new posts and posts them on Mastodon (Python).
* [usercount](https://github.com/josefkenny/usercount) - A bot which posts user statistics to Mastodon (Python).
* [autofollow](https://github.com/gled-rs/mastodon-autofollow) - An autofollow bot for Mastodon (Python).
* [hnbot](https://github.com/raymestalez/mastodon-hnbot) - Posts the Hacker News stories with 100+ points (Python).
* [translator](https://christopher.su/projects/translator/) - Translate any toot into the desired language using `@translator@toot.works [langcode]`.
* [@TrendingBot@mastodon.social](https://mastodon.social/@TrendingBot) - Shows you what's trending on Mastodon.

### News & magazines bots
Please note : most of them are non-official. We do not *recommend* any, they are listed here for your information in no particular order.  

* [France info](https://mastodon.nuzgo.net/@franceinfo)  
* [L'express](https://framapiaf.org/@lexpress)
* [Sciences et avenir](https://framapiaf.org/@sciencesetavenirbot)
* [Ars technica](https://social.undernet.uy/arstechnica)
* [Wired](https://social.undernet.uy/wired)
* [Le Gorafi](https://mastodon.social/@le_gorafi)
* [Les jours](https://mamot.fr/@lesjoursfr)
* [The Guardian](https://social.undernet.uy/guardian)
* [Le Figaro](https://mastodon.social/@le_figaro)
* [BBC News](https://social.undernet.uy/bbc)
* [Mediapart](https://mastodon.social/@Mediapart)
* [Le Monde](https://social.bitcast.info/lemonde)
* [Libération](https://mamot.fr/@libe)
* [Le Monde diplomatique](https://mamot.fr/@mdiplo)
* to be continued…

## Librairies

* [Mastodon.py](https://github.com/halcy/Mastodon.py) - Python wrapper for the Mastodon API.

## Bot frameworks


## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)
